//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class profilesongs_hook_MemberHook extends _HOOK_CLASS_
{
	public function hasProfileSong()
	{
		try
		{
			return \IPS\Db::i()->select( '*', 'profilesongs_files', array( 'member_id=?', $this->member_id ) )->first();
		}
		catch( \Exception $ex )
		{
			return FALSE;
		}
	}
	
	public function profileSongs()
	{
		try
		{
			$track = array();
			foreach( \IPS\Db::i()->select( '*', 'profilesongs_files', array( 'member_id=?', $this->member_id ), 'position ASC' ) as $tracks )
			{
				$track[] = \IPS\profilesongs\ProfileSongs::load( $tracks['id'] );
			}
			return $track;
		}
		catch( \Exception $ex )
		{
			return array();
		}
	}
	
	public function profileSongsCanUse()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->member_group_id, 'group_id' )->can_use;
		}
		catch( \Exception $e )
		{
			return FALSE;
		}
	}
	
	public function profileSongsUploadSizeLimit()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->member_group_id, 'group_id' )->upload_limit;
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
	
	public function profileSongsMultipleUploads()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->member_group_id, 'group_id' )->multiple_uploads;
		}
		catch( \Exception $e )
		{
			return 1;
		}
	}
	
	public function profileSongsMaximumFiles()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->member_group_id, 'group_id' )->maximum_files;
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
	
	public function profileSongsGotTrack( $location=NULL )
	{
		$loggedIn = \IPS\Member::loggedIn();
		try
		{
			return \IPS\Db::i()->select( '*', 'profilesongs_files', array( 'member_id=? AND location=?', $loggedIn->member_id, $location ) )->first();
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
}
