<?php


namespace IPS\profilesongs\modules\admin\main;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\Select( 'profilesongs_groups_use', ( \IPS\Settings::i()->profilesongs_groups_use == 'all' ) ? 'all' : explode( ',', \IPS\Settings::i()->profilesongs_groups_use ), TRUE, array( 'options' => \IPS\Member\Group::groups(TRUE, FALSE), 'parse' => 'normal', 'multiple' => true, 'unlimited' => 'all', 'unlimitedLang' => 'all_groups' ), NULL, NULL, NULL, 'profilesongs_groups_use' ) );
        $form->add( new \IPS\Helpers\Form\Number( 'profilesongs_max_upload_size', \IPS\Settings::i()->profilesongs_max_upload_size, TRUE, array( ), NULL, NULL, 'kb', 'profilesongs_max_upload_size' ) );
		$form->add( new \IPS\Helpers\Form\Number( 'profilesongs_multiple_uploads', \IPS\Settings::i()->profilesongs_multiple_uploads, TRUE, array( ), NULL, NULL, NULL, 'profilesongs_multiple_uploads' ) );
		
		if ( $values = $form->values() )
        {
			$form->saveAsSettings();
		    \IPS\Output::i()->redirect( \IPS\Http\Url::internal( 'app=profilesongs&module=main&controller=settings' ), 'saved' );
	        return TRUE;
        }
		
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'settings' );
		\IPS\Output::i()->output = $form;
	}
	
	// Create new methods with the same name as the 'do' parameter which should execute it
}